<video> tag doesn't show up

  • Advertisement ( why? )
     

    Her, 17th Dec 2012 11:27 am

    Hi,
    I installed HTML-Kit build 292 free version on my
    computer - Windows xp- about 4 months ago.
    And to be honest, i'm not a wizzkid.

    I have the problem when i use the <video> tag in html (and in CSS for design) the Kit-display doesn't show anything.
    If i open the site in the firefox browser i can see the <video> result.

    So, i can't see what i'm doing in the KIT.

    Is it possible this KIT version doesn't support the <video> tag?
    Do i need a plug-in?
    Could it be the wrong doctype?
    Something else...?

    I already changed the doctype from:
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
    into:
    <!DOCTYPE html>

    Some things changed, but still i couldn't see the <video> result i saw in firefox.

    And if i have to download a new (recent) version, can i do this without remove the old version first?

    Thanks in advance,
    Her

    • HTML-Kit Support, 17th Dec 2012 4:55 pm

      Hi,

      On 12/17/2012 11:27 AM, Her wrote:

      Hi,
      I installed HTML-Kit build 292 free version on my
      computer - Windows xp- about 4 months ago.
      And to be honest, i'm not a wizzkid.

      I have the problem when i use the <video> tag in html (and in CSS for
      design) the Kit-display doesn't show anything.
      If i open the site in the firefox browser i can see the <video>
      result.

      So, i can't see what i'm doing in the KIT.

      Is it possible this KIT version doesn't support the <video> tag?
      Do i need a plug-in?
      Could it be the wrong doctype?
      Something else...?

      I already changed the doctype from:
      <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
      "http://www.w3.org/TR/html4/strict.dtd">
      into:
      <!DOCTYPE html>

      Some things changed, but still i couldn't see the <video> result i
      saw in firefox.

      You can get video tag to work in HTML-Kit 292 if you install IE 9. This
      is because IE 9 is the version of Internet Explorer that support HTML5
      tags like video.

      IE 9 requires Windows Vista or 7. On Windows XP, what you could do is
      use F8 key in HTML-Kit 292 to preview in an external browser like Firefox.

      And if i have to download a new (recent) version, can i do this
      without remove the old version first?

      Thanks in advance,
      Her

      Yes, you can install HTML-Kit Tools on the same computer and Tools won't
      mess with your 292 installation.

      Hope this helps.

      Chami

      • Her, 18th Dec 2012 3:11 am

        Thanks Chami for your fast reply,

        I forgot to tell one important thing: i'm using firefox.

        One moment I noticed KIT uses IE 8 so i tried to change it:
        In the menu "view" > "preview in browser" i added firefox 17.0.1 , and it's now in the list (but maybe this is not the good way).

        I tried also something in "preferences"> "program".
        In the "edit browser list" i can see firefox too now (before it wasn't there).
        But it doesn't work out.

        For me it's not very clear how to change the browser for the display of the KIT.
        That would be very usefull.

        I imagine it's possible. Isn't it?

        Greetings, her.

        • HTML-Kit Support, 18th Dec 2012 7:56 am

          On 12/18/2012 3:11 AM, Her wrote:

          Thanks Chami for your fast reply,

          I forgot to tell one important thing: i'm using firefox.

          One moment I noticed KIT uses IE 8 so i tried to change it:
          In the menu "view" > "preview in browser" i added firefox 17.0.1 ,
          and it's now in the list (but maybe this is not the good way).

          I tried also something in "preferences"> "program".
          In the "edit browser list" i can see firefox too now (before it
          wasn't there).
          But it doesn't work out.

          For me it's not very clear how to change the browser for the display
          of the KIT.
          That would be very usefull.

          I imagine it's possible. Isn't it?

          Greetings, her.

          You can use Firefox or any other browser for external preview (F8) in
          HTML-Kit 292. For internal preview though, HTML-Kit 292 uses IE. Firefox
          didn't have a good way to integrate with internal preview at the time of
          development (still doesn't).

          HTML-Kit Tools supports IE and Chrome/WebKit for internal preview, and
          all browsers as well as smartphones/tablets for external preview.

          Chami

          • Her, 18th Dec 2012 3:17 pm

            Thanks for the information.
            A pitty (for me) but the KIT is a nice editor.
            IE is a disaster (sorry) but i can consider to use Chrome.

            I'm constructing a website for myself and when it's a succes... ,
            you never know.

            Greetings,
            Her